#!/usr/bin/bash
#########################################################################################################
# iDoctor 
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script will wait for the specified process to finish before exiting
#
# Example usage:
#  This will run nmon to get configuration details only and outputs the PID to pid.txt
#  nmon -F test.nmon -c 0 -s 0 -p > pid.txt
#  Now run this script waiting for the PID specified in PID.txt to complete
# xargs ./waitforpid.sh < pid.txt

delay=2 # Set the sleep delay to 2 seconds.
pid=$1 # Save the first parameter as the process id.

if ps $pid 2>&1 > /dev/null # ps the process and chuck the output.  If exit status is zero,
then # Process is active.
    while # Wait for the process to end.
        sleep $delay # Wait a bit.
        ps $pid 2>&1 > /dev/null # ps the process and chuck the output.  End the loop if the exit status is non-zero.
    do
        continue # Loop again.
    done
else # The process is not active (non-zero exit status from ps).
    printf "Process $pid is not running.\n"

fi # End of "if"