#!/bin/ksh
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script will run topas_nmon on the current system storing the data into a file
# specified.

path=$(dirname $0) # get the directory the script resides in
filename=$path"/"$1 # Create the file name.

cd $path # Change to the iDoctor temp directory.

print running topas_nmon into file $filename # Output what is going to happen.
pid=$(/usr/bin/topas_nmon -F $filename -s 0 -c 0 -V -p) # Run topas_nmon and capture the processID.
./waitforpid.sh $pid # Wait for topas_nmon to complete.

print topas_nmon finished, now sorting the results and exiting... # Report progress.
/usr/bin/sort $filename > /dev/null # Sort the output.

print builcfgsummary.sh completed successfully # Report success.
