#!/bin/ksh93
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script will search for PerfPMR data directories, and if any are found, create a symbolic link 
#  in the /tmp/idoctor/perfpmr directory to it using a command like.
#        ln -fs /tmp/perfdata1 perfdata1
#
BASEDIR=$(dirname $0)	# This will get the directory this script resides in
searchdir=$1

parseDir() {
  /usr/bin/awk '
  {
    if ((x=index($1,"perfpmr.int")) > 0) {
        dir = substr($1,0, x-1);
        printf("%s\n", dir);
    }
  }'
}

mkdir -p $BASEDIR/repository/perfpmr
cd $BASEDIR/repository/perfpmr
rm *

find $searchdir -name "perfpmr.int" | while read datadir
do
	out=`/usr/bin/printf "%s\n" $datadir | parseDir`
	out2=`basename $out`
	print $out $out2
	ln -fs $out $out2
done