#!/usr/bin/sh
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2013 All Rights Reserved.
#########################################################################################################
# This script will collect general information about a set of vios_advisor collections (part command)
# All collections found on the system are the symbolic links residing in directory is /tmp/idoctor/advisor
 
	
########################
# Main()
########################
BASEDIR=$(dirname $0)	# This will get the directory this script resides in

#prints the column header
print "File, Location\n"
host_name=$(/usr/bin/hostname -s)
mkdir -p $BASEDIR/repository/advisor
find $BASEDIR/repository/advisor/ -type l | while read advisorfile
do    	
	# check that tar file contains vios_advisor_report.xml 	          
        if [ -f "$advisorfile" ] && tar -tf "$advisorfile" | egrep '(vios_advisor_report.xml)'; then 
	    deref=`ls -l $advisorfile | awk '{print $11}`
	    printf "%s,%s \n" "$deref" "$host_name"  
        else
	    rm $advisorfile
	fi
done