#!/bin/ksh
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script will check firmware levels to handle the TPROF bug.
# and then afterwards start PerfPMR
# PLEASE NOTE: IF RUNNING P7 HARDWARE AND USING TPROF option of PerfPMR the FIRMWARE LEVEL MUST BE Ax730_078 OR HIGHER!

 level=730078
 current=0
 firmware=0
 datapath=$1
 cmdtorun=$2 
 
 echo Checking if hardware is POWER7, and if so firmware level must be 730_078 or higher 

 prtconf | grep "POWER7" 

#gets the status of prior command
 status=$?

#status of 0 means the system is power 7
if [ "$status" == "0" ]
  then
# get the firmware version and convert to a number
	current=$(prtconf | grep "Firmware Version")
	current=$(echo "$current" | tail -c 8)
	current=$(echo "$current" | sed 's/_//g')

  echo $current firmware version found
  
  if [ "$current" \> "$level" -o "$current" == "$level" ]; then
	echo Firmware level OK
	firmware=1
  else
	echo Firemware version NOT OK
  fi
else
     echo Firmware check not needed, the hardware is not Power7
     firmware=1
fi

if [ "$firmware" == "0" ]; then exit
fi

echo Now start PerfPMR

# create the data directory, then cd into it
mkdir $datapath
cd $datapath

#start the desired shell script (presuambly, perfpmr.sh)
$cmdtorun