#!/bin/ksh93
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script will gather a list of Virtual Fiber Channel Adapters containing the host name, wwpn, and client partition name and
# place it in the specified file.

vfcFile=$1 # Get the name of the file into which the information will be placed.
/usr/sbin/lsdev -r name -S a -t IBM,vfc-server | # Get the names(-r name) of Available(-S a) Virtual FC Server Adapters(-t IBM,vfc-server).
    while read host; do # Do the following with the name of each VFC Server Adapter that is available.
        fcsdev=$(/usr/sbin/lsattr -l $host -a map_port -F value) # Get the Fiber Channel device name for the vfc server adapter.
        print "svfcCI; svfcPrQs; svfcva $host" | /usr/sbin/kdb | # Use the kernal debugger to get the VFC server adapter information.
            /usr/bin/awk ' # Parse the output of the debugger
                /wwpn:/ {wwpn = $4; if ($1 == "wwpn:") wwpn = $2} # Get the wwpn.
                /clientPartName:/ {cpn = $2; if ($1 != "clientPartName:") cpn = $NF # Get the client partition name. 
                	print wwpn " " cpn # Output the wwpn and the client partition name.
                	exit} # Found all we need to find, exit.
            ' |
            	read wwpn clientname # Get the wwpn and client partition name.
        if [[ $wwpn != "0" ]] then # If there is a client,
            print "$fcsdev $host $clientname $wwpn" # Output the FC device name, the VFC device name, the client partition name, and the wwpn.
        fi # End of if.
    done > $vfcFile # End of  While loop.  Place the data in the specified file. 

