#!/bin/ksh93
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script format the output of fc_snap.sh for human consumption.
inFile=$1 # Get the input file.
lastInt=1 # Set the last interval handled to 1.
header=""
#printf "%8s %26s %10s %15s %15s %16s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %22s %20s\n" "interval" "timestamp" "fcdev" "vfcdev" "hostname" "wwpn" "inreqs" "outreqs" "ctrlreqs" "inbytes" "outbytes" "DMA_errs" "Elem_errs" "Comm_errs" "IP inreqs" "IP outreqs" "IP ctrlreqs" "IP inbytes" "IP outbytes" "IP DMA_errs" "IP Elem_errs" "Port speed (supported)" "Port speed (running)" # Print the headers.
while IFS=","; read interval ts fcdev vfcdev host wwpn ir or cr ib ob de ee ce ipir ipor ipcr ipib ipob ipde ipee pss pssu psr psru; do # While there are records to read,
	if [[ $header == "" ]] then # If the header hasn't been handled.
		header=$(printf "%8s %23s %10s %15s %15s %16s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %22s %20s\n" $interval "$ts" $fcdev "$vfcdev" $host $wwpn $ir $or $cr $ib $ob $de $ee $ce $ipir $ipor $ipcr $ipib $ipob $ipde $ipee "$pss" "$psr") # Generate the header.
		print "$header" # Print the header.
		continue # Loop to get the first data record.
	fi # End of If.
	if [[ $lastInt != $interval ]] then # If the interval has changed,
		print "\n$header" # Print a blank line and the headers.
		lastInt=$interval # Save the new interval number.
	fi # End of If.
	printf "%8s %23s %10s %15s %15s %16s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %20s %22s %20s\n" $interval "$ts" $fcdev "$vfcdev" $host $wwpn $ir $or $cr $ib $ob $de $ee $ce $ipir $ipor $ipcr $ipib $ipob $ipde $ipee "$pss $pssu" "$psr $psru" # Print the data.
done < $inFile # End of While.  Pipe in the specified file.