#!/bin/ksh
#(C) Copyright IBM Corp. 2015
# iDoctor scp monitor
# This script will monitor the scpdirectory file to periodically 
# send data to the specified data analysis system 
# The script takes four input parameters as referenced below
# Example invocation: 
# scp_monitor.sh /home/padmin/id_dsa myuser 172.10.10.10 /home/myuser

# Declare variables
sshkeyloc=$1 # location of private key on local system
remoteuid=$2 # remote user id on target system 	
remoteip=$3  # remote IP address or host name on target system
remotedir=$4 # target directory on remote system 
datatype=$5  # Data type: nmon, npiv, viosadvisor 
scpdirectory="/tmp/vios_investigator/scpout_"$datatype 

# Make sure the scp output directory exists 
if [ ! -d "$scpdirectory" ]; then 
  mkdir -p $scpdirectory
  chmod 777 $scpdirectory 
fi

# Build list of files to scp
datetime=$(date +%y%m%d_%H%M%S)
ls $scpdirectory > ScpFileList_$datetime  

# scp files 

file="ScpFileList_"$datetime
while read line
  do
	 scpfile=$(echo $line)
	 echo sending "$scpfile" with scp
	 scp -i $sshkeyloc $scpdirectory/"$scpfile" $remoteuid@$remoteip:$remotedir
	 if [ $? -ne 0 ]; then
	   echo "SCP Failed"
	   exit 1
	 fi
     rm $scpdirectory/"$scpfile"

  done <"$file"
  
  rm ScpFileList_$datetime
  
  